package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 出入证对象 entry_pass
 * 
 * @author dgtly
 * @date 2020-02-15
 */
public class EntryPass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    private Long userId;


    /** 居住地址 */
    @Excel(name = "居住地址")
    private String address;

    /** 出入证二维码 */
    @Excel(name = "出入证二维码")
    private String qrCode;

    /** 常驻人数 */
    @Excel(name = "常驻人数")
    private Long residentNum;

    /** 与屋主关系 */
    @Excel(name = "与屋主关系")
    private String householdRelation;

    /** 房产证或租房合同 */
    @Excel(name = "房产证或租房合同")
    private String ownership;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String auditOpinion;

    /** 状态0未审核  1 通过审核  -1未通过审核 */
    @Excel(name = "状态0未审核  1 通过审核  -1未通过审核")
    private String status;

    @Excel(name = "用户名称")
    private String username;

    @Excel(name = "身份证号")
    private String idCard;

    @Excel(name = "手机号码")
    private String phonenumber;

    @Excel(name = "性别")
    private String sex;

    @Excel(name = "是否旅居武汉")
    private String isWuhan;



    @Excel(name="所处社区id")
    private Long chargeCommunityId;

    @Excel(name="所处社区名称")
    private String communityName;

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setResidentNum(Long residentNum) 
    {
        this.residentNum = residentNum;
    }

    public Long getResidentNum() 
    {
        return residentNum;
    }
    public void setHouseholdRelation(String householdRelation) 
    {
        this.householdRelation = householdRelation;
    }

    public String getHouseholdRelation() 
    {
        return householdRelation;
    }
    public void setOwnership(String ownership) 
    {
        this.ownership = ownership;
    }

    public String getOwnership() 
    {
        return ownership;
    }
    public void setAuditOpinion(String auditOpinion) 
    {
        this.auditOpinion = auditOpinion;
    }

    public String getAuditOpinion() 
    {
        return auditOpinion;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getIsWuhan() {
        return isWuhan;
    }

    public void setIsWuhan(String isWuhan) {
        this.isWuhan = isWuhan;
    }

    public String getCommunityName() {
        return communityName;
    }

    public void setCommunityName(String communityName) {
        this.communityName = communityName;
    }

    public Long getChargeCommunityId() {
        return chargeCommunityId;
    }

    public void setChargeCommunityId(Long chargeCommunityId) {
        this.chargeCommunityId = chargeCommunityId;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("user_id", getUserId())
            .append("address", getAddress())
            .append("qrCode", getQrCode())
            .append("residentNum", getResidentNum())
            .append("householdRelation", getHouseholdRelation())
            .append("ownership", getOwnership())
            .append("auditOpinion", getAuditOpinion())
            .append("status", getStatus())
            .toString();
    }
}
